<?php 

$file = "/data/www.gemeinschaft-bothfelder-kaufleute.de/htdocs/snippetmaster_new/db.inc.php"; 

if (!file_exists($file)) {
	echo "<p><font color='red'>The <b>$file</b> file does not exist.</font>"; 
	exit;
} 
elseif(!is_readable($file)) { 
	echo "<p><font color='red'>Unable to read the <b>$file</b> file.</font>"; 
	exit;
} 
elseif(!is_writable($file)) { 
	echo "<p><font color='red'>Unable to write to the <b>$file</b> file.</font>"; 
	exit;
} 
else { 
	echo "<p><font color='green'>Successfully read and write to the <b>$file</b> file.</font>"; 
} 

/*
What you must do, is ask your web host to enable enough "read and write" permissions for this file.
*/
?>